MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001555VCMIMechanics - Otherpublic2013-10-19 12:462018-03-27 07:57
ReporterPovelitel 
Assigned Tohkoehler 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.94 
Target VersionFixed in Version0.next 
Summary0001555: Duplicate resource generating artifacts have no effect
DescriptionOnly one bag (one type) works for one hero.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002919resolvedhkoehler Army lose creature bonuses like Archangels morale +1 after stacks are joined 
related to 0002537acknowledged Report to linking differences in mechanics of H3 and VCMI 

-  Notes
(0004094)
Warmonger (administrator)
2013-10-23 13:34

This is how the bonus system works => assigning to Tow.
(0005636)
SXX (administrator)
2015-03-12 16:39
edited on: 2015-03-12 16:40

As far as I see at moment this problem is partially solved. A least if I understand it correctly.
Currently if hero have all 3 types (1000, 750, 500) of this artifact each type give bonus separately.

Though if one hero have more than 2+ copy of same type then only one of them work.
This work same way for any other artifacts that give resource bonuses.

(0005637)
SXX (administrator)
2015-03-12 16:46

To be sure I checked H3 behaviour and cloned artifacts does give bonuses there.
(0006257)
Warmonger (administrator)
2016-01-07 19:16

By design of bonus system, an artifact TYPE is a source of single bonus. Multiple artifact instances do not give multiple bonuses.
(0006258)
SXX (administrator)
2016-01-07 19:19
edited on: 2016-01-07 19:19

It's still has to be fixed as in H3 both resource generating artifacts and also "Quiet Eye of the Dragon" does give you bonuses. Other artifacts duplicates doesn't work though.

(0007550)
SXX (administrator)
2018-03-27 07:57

Fixed:
https://github.com/vcmi/vcmi/pull/433 [^]

- Issue History
Date Modified Username Field Change
2013-10-19 12:46 Povelitel New Issue
2013-10-19 12:46 Povelitel Status new => assigned
2013-10-19 12:46 Povelitel Assigned To => Warmonger
2013-10-23 13:34 Warmonger Note Added: 0004094
2013-10-23 13:34 Warmonger Assigned To Warmonger => Tow
2015-03-12 16:39 SXX Note Added: 0005636
2015-03-12 16:40 SXX Note Edited: 0005636 View Revisions
2015-03-12 16:40 SXX Note Edited: 0005636 View Revisions
2015-03-12 16:46 SXX Note Added: 0005637
2016-01-07 19:05 SXX Assigned To Tow =>
2016-01-07 19:05 SXX Status assigned => confirmed
2016-01-07 19:05 SXX Summary Endless Sack of Gold => Duplicate resource generating artifacts have no effect
2016-01-07 19:16 Warmonger Note Added: 0006257
2016-01-07 19:19 SXX Note Added: 0006258
2016-01-07 19:19 SXX Note Edited: 0006258 View Revisions
2016-01-07 19:19 SXX Note Edited: 0006258 View Revisions
2016-01-07 19:34 SXX Category Mechanics - Objects => Mechanics - Other
2016-09-30 15:16 SXX Relationship added related to 0002537
2018-03-19 07:20 hkoehler Relationship added related to 0002919
2018-03-19 07:20 hkoehler Assigned To => hkoehler
2018-03-19 07:20 hkoehler Status confirmed => assigned
2018-03-27 07:57 SXX Note Added: 0007550
2018-03-27 07:57 SXX Status assigned => resolved
2018-03-27 07:57 SXX Fixed in Version => 0.next
2018-03-27 07:57 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean